Subject: RE: [Ieprep] Military comms

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 3 Oct 2003 15:23:11 -0400

Depends on what your goal is.

If you are on a VoIP call, and you have lower-than-someone-else
priority on bandwidth, then the network may do what is intended
under congestion (not give you much bandwidth), but that is not 
necessarily all you want.  What you might want is call admission 
control - if the call goes through, you get "good" service.  
If the network can't give you good service, you might prefer to be 
told up front in the form of a "busy" indication.

Brian

> -----Original Message-----
> From: RJ Atkinson [mailto:[email-masked]]
> Sent: Wednesday, October 01, 2003 1:27 PM
> To: Rex Buddenberg
> Cc: ieprep
> Subject: Re: [Ieprep] Military comms
> 
> 
> 
> On Wednesday, Oct 1, 2003, at 13:12 America/Montreal, Rex Buddenberg 
> wrote:
> > But that segment is never the complete comms system -- DISA's
> > infrastructure never touches the soldier in the field or the
> > sailor on the ship -- those segments are always service-owned and 
> > operated.
> 
> Agree.  However, all of the segments (DISA + service-specific
> + other DoD) can be considered to be a single administrative domain
> for policy purposes, since a common policy can be decided upon
> by SECDEF (or designee like ASDNII) and then deployed department-wide.
> 
> > But the military comms system has bottlenecks in it that cannot be
> > wished away by throwing money into the overprovisioning budget.
> 
> (also links that the DoD chooses not to spend money on; both reasons
> drive the ongoing existence of bottlenecks :-)
> 
> > But over the long term, the bottlenecks are always in the radio-WAN.
> 
> Yes.
> 
> > The largest pipes (which are ironically
> > called 'High Speed Data' by the vendor) onto the typical 
> Navy destroyer
> > have a capacity of 64kbps.  The terrestrial WAN at the 
> commsta end of
> > this pipe can easily be provisioned at orders of magnitude greater
> > capacity.  And the Navy has provisioned its ships afloat at 
> orders of
> > magnitude greater capacity (increasingly gig ethernet).
> 
> Yes.
> 
> >  	I notice that the Transformational Comms System 
> briefings have had
> > 'make bandwidth go away as a constraint' disappear -- apparently
> > somebody finally got a clue that the satellite capacities 
> will always 
> > be
> > orders of magnitude less than the terrestrial.
> 
> Right.
> 
> > The obvious lessons here are:
> > 	- overprovision when you can.  Best way to do that is 
> to up your Ao
> > numbers by getting diverse altroutes ... you'll find yourself
> > overprovisioning by accident.
> > 	- the radio-WAN segment is one where overprovisioning 
> is not practical
> 
> s/not practical/often not practical/
> 
> > -- we need some kind of control mechanism.  Diffserv is one 
> reasonable
> > avenue, access control is another -- both are hard to do in a highly
> > decentralized system that the internet is.  How do we get 
> there without
> > generating a lose-lose situation?
> 
> Good questions.
> 
> I think the answers are a lot easier intra-domain than inter-domain.
> 
> Intra-domain, one can deploy both DiffServ (or IP ToS with JANAP-like
> markings) (optionally also link-layer precedence, such as 802.1p) and
> also access controls.  This requires non-trivial effort in 
> designing the
> right controls/markings, getting the relevant network kit configured
> appropriately, and getting the network monitoring systems in place
> to monitor the network appropriately.   I've seen this done,
> so I believe it is do-able.
> 
> I'd be interested to know what specific capabilities folks think we
> need beyond what we have in hand (e.g. DiffServ, IP ToS, 802.1p).
> 
> Thanks,
> 
> Ran Atkinson
> [email-masked]
> 
> 
> 
> _______________________________________________
> Ieprep mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ieprep
> 

_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep

---

From: RJ Atkinson <[email-masked]>
Date: Mon, 6 Oct 2003 09:07:02 -0400

> control - if the call goes through, you get "good" service.

Thanks for the followup.  I guess I was unclear.  Sorry.

	I would call that one form of access control, so that is not
inconsistent with my original statement.  To try to be more clear,
I meant "access controls" (quoted text at bottom) in a very broad sense,
not some narrow sense.  As you say, which set of access controls is
useful/needed varies with what one's goal might be.

	Inter-Domain remains quite ugly in any event, because one's
own desired policy might not be identical with some other operator's
deployed policy.

(Again, "operator" is broadly defined here to mean any operator,
not just an ISP.)

> told up front in the form of a "busy" indication.

I'm sure that is sometimes true.

In the particular case, the deployed AutoVON ("DSN" to some) does
pre-empt (i.e. terminate if already in progress) lower precedence
calls if necessary, when the capacity is needed for a higher precedence
call.  As far as I know, this has been the AutoVON practice (at
least outside CONUS) since at least the early 1970s, quite possibly
for longer than that.

>> ...[stuff deleted here]...
>>
>> designing the right controls/markings, getting the relevant network
>> kit configured appropriately, and getting the network monitoring 
>> systems
>> in place to monitor the network appropriately.   I've seen this done,